euca-describe-instances shows state "running ", not "running"

Bug #531453 reported by Scott Moser on 2010-03-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
euca2ools
Fix Released
Undecided
Scott Moser
euca2ools (Ubuntu)
Medium
Dustin Kirkland 
Lucid
Medium
Dustin Kirkland 

Bug Description

Binary package hint: euca2ools

euca-describe-instances appends a space to the instance state in its output.
The output should be straight tab delimited output.

This makes something the following fail:
   awk '-F\t' '$6 = "running" && { print $0 }'

Additionally the code is flawed in that it does things like:

     if instance.instance_type:
         instance_string += ' \t%s' % instance.instance_type

Ie, instance_type (and its associated tab) is only appended if instance_type is true.

In general, none of the checks should ever fail, but if they did, the output would not include an empty field, but rather *no* field.

ProblemType: Bug
Architecture: amd64
Date: Wed Mar 3 10:23:45 2010
DistroRelease: Ubuntu 10.04
Package: euca2ools 1.2-0ubuntu4
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-15.22-server
SourcePackage: euca2ools
Uname: Linux 2.6.32-15-server x86_64

Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :

Just noticed that this fix also fixes a bug in euca-run-instances that outputs 'None' for a instance that has no ramdisk rather than an empty string:

$ euca-run-instances --instance-type c1.medium --key mykey emi-4CD51A12
RESERVATION r-4F2E087C admin admin-default
INSTANCE i-4BCD0847 emi-4CD51A12 0.0.0.0 0.0.0.0 pending mykey 2010-03-03T17:01:46.98Z eki-107E1CF7 None

Scott Moser (smoser) on 2010-03-04
Changed in euca2ools (Ubuntu Lucid):
importance: Undecided → Medium
Changed in euca2ools (Ubuntu Lucid):
assignee: nobody → Dustin Kirkland (kirkland)
status: New → In Progress
Dustin Kirkland  (kirkland) wrote :

Neil-

Can you comment if Scott's fix is acceptable upstream, and if possible, commit it to your tree?

I'd like to get this merged into Lucid's euca2ools.

Changed in euca2ools (Ubuntu Lucid):
status: In Progress → Triaged
Changed in eucalyptus:
assignee: nobody → Neil Soman (neilsoman)
Changed in euca2ools (Ubuntu Lucid):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package euca2ools - 1.2-0ubuntu8

---------------
euca2ools (1.2-0ubuntu8) lucid; urgency=low

  [ Scott Moser ]
  * euca-run-instances:
    - --keypair => --key in usage and man page, LP: #530816
    - print error rather than trace on invalid instance-count, LP: #546420
    - euca-describe-instances: output "running", not "running ", LP: #531453
  * euca-revoke: only show usage once with --help
  * euca-download-bundle: fix usage, LP: #546567
  * euca-bundle-image:
    - fix failure on --block-device-mapping, LP: #546548
    - print usage on --help if userid has '-', LP: #546526
    - fix failure when image name string is in dest string, LP: #522060
  * euca-describe-image-attribute: fix --kernel or --ramdisk when
    image did not have emi or eri, LP: #546551

  [ Dustin Kirkland ]
  * Cherry-pick up to upstream r266, fixes:
    - LP: #536876 - document euca-describe-availability-zones verbose
    - LP: #526591 - enhance parsing of config file
    - LP: #531076 - fix euca-describe-images against specific image
 -- Dustin Kirkland <email address hidden> Thu, 25 Mar 2010 15:36:43 -0700

Changed in euca2ools (Ubuntu Lucid):
status: In Progress → Fix Released
Scott Moser (smoser) on 2010-09-02
affects: eucalyptus → euca2ools
Scott Moser (smoser) wrote :
Changed in euca2ools:
assignee: Neil Soman (neilsoman) → Scott Moser (smoser)
status: New → Fix Committed
Changed in euca2ools:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers